# ---------------------  Vignette0    multi-component cosinor

#  Normally you would use these lines to read a file for use in CATkit (use filePath format for your OS)
# filePath<-"~/file/path/Installing CAT/Vignette0"          # use for mac
# filePath<-"c:\\file\\path\\Installing CAT\\Vignette0"     # use for PC
# fileName<-file.path(filePath,’CJGi001.dat')

# this line is used instead of the above since it is part of a package.
#fileName<-system.file("extdata", “CLGi001.dat", package = "CATkit")
#  
#CATCosinor(TimeCol=2,Y=c(4,6,7), Components=3, window="noTaper", RefDateTime="201302030000",  timeFormat="%Y%m%d%H%M",RangeDateTime =list(Start=0, End=0), Units='hours', dt=0, Progressive=list(Interval=0, Increment=0),Period=list(Set=c(24,12,8),Start=0,Increment=1,End=0),header=FALSE, Skip=0,Colors="BW",Graphics="pdf",Output=list(Txt=FALSE,Dat=TRUE,Doc=TRUE,Graphs=TRUE),Console=FALSE,Debug=FALSE,IDcol="fileName", fileName=fileName,functionName='Vignette0')

#---------------------   Vignette1     Least Square spectrum
# 
#  Normally you would use these lines to read a file for use in CATkit (use filePath format for your OS)
# filePath<-"~/file/path/Installing CAT/Vignette1"          # use for mac
# filePath<-"c:\\file\\path\\Installing CAT\\Vignette1"     # use for PC
# fileName<-file.path(filePath,'Signal10-20.txt')

# this line is used instead of the above since it is part of a package.
#fileName<-system.file("extdata", "Signal10-20.txt", package = "CATkit")
#
#CATCosinor(TimeCol=1,Y=2, Components=1, window="noTaper", RefDateTime="0",  timeFormat="%Y%m%d%H%M", RangeDateTime=list(Start=0, End=0), Units='hours', dt=0, Progressive=list(Interval=0, Increment=0), Period=list(Set=0,Start=144,Increment=1,End=4),header=FALSE, Skip=0, Colors="BW",Graphics="pdf",Output=list(Txt=FALSE,Dat=TRUE,Doc=TRUE,Graphs=TRUE) ,Console=FALSE,Debug=FALSE,fileName=fileName,functionName='Vignette1') 

# ---------------------   Vignette2     progressive least squares spectrum
#
#  Normally you would use these lines to read a file for use in CATkit (use filePath format for your OS)
# filePath<-"~/file/path/Installing CAT/Vignette2"          # use for mac
# filePath<-"c:\\file\\path\\Installing CAT\\Vignette2"     # use for PC
# fileName<-file.path(filePath,'FWedited.txt')
#
# this line is used instead of the above since it is part of a package.
#fileName<-system.file("extdata", "FWedited.txt", package = "CATkit")
#
#CATCosinor(TimeCol=1,Y=2, Components=1, window="noTaper",RefDateTime ="199210192152",  timeFormat="%Y%m%d%H%M", RangeDateTime= list(Start="199210200000", End="199211300000"), Units='hours', dt=0, Progressive=list(Interval=168, Increment=24), Period=list(Set=0, Start=168,Increment=.5,End=9.5),header=FALSE, Skip=0, Colors="BW", Graphics="pdf",Output=list(Txt=FALSE,Dat=TRUE,Doc=TRUE,Graphs=TRUE),Console=FALSE,Debug=FALSE,fileName=fileName,functionName='Vignette2')

# ---------------------   Vignette3      visualization
#   
#  Normally you would use these lines to read a file for use in CATkit (use filePath format for your OS)
# filePath<-"~/file/path/Installing CAT/Vignette3"          # use for mac
# filePath<-"c:\\file\\path\\Installing CAT\\Vignette3"     # use for PC
# fileName<-file.path(filePath,'activity-stress-c57-2-part.txt')
# file2Name<-file.path(filePath,'good-6d-2m-part.txt')
#
# these lines are used instead of the above since it is part of a package.
# fileName<-system.file("extdata", "activity-stress-c57-2-part.txt", package = "CATkit")
# file2Name<-system.file("extdata", "good-6d-2m-part.txt", package = "CATkit")
#  # 
# CatCall(TimeCol=c(1,2), timeFormat="%d/%m/%y %H:%M:%S",lum=NA, 
# valCols=5, sumCols=c(), Avg=FALSE, export=TRUE, sizePts=2, binPts=30, 
# Interval = 0, Increment=0, k=5, yLab=NA, modulo=1440, Rverbose=0, RmaxGap=3000, 
# Skip=0, header=TRUE, Smoothing=TRUE, Actogram=TRUE,AutoCorr=TRUE, 
# CrossCorr=TRUE,Console=FALSE,Graphics="pdf", Darkness=0, LagPcnt=1,
# fileName=fileName, file2=list(Name=file2Name,TimeCol=c(1,2), 
# timeFormat="%d/%m/%y %H:%M:%S", lum=NA, valCols=5, sumCols=c(),
# sizePts=2, binPts=30,Darkness=0))


# ---------------------   Vignette4      PMC
#   
#  Normally you would use these lines to read a file for use in CATkit (use filePath format for your OS)
# filePath<-"~/file/path/Installing CAT/Vignette4"          # use for mac
# filePath<-"c:\\file\\path\\Installing CAT\\Vignette4"     # use for PC
# fileName<-file.path(filePath,'cos02x.csv')
#
# this line is used instead of the above since it is part of a package.
# fileName<-system.file("extdata", "cos02x03.csv", package = "CATkit")
# CATpmc(fileName=fileName, colNames=cosdat, VarID=8, GrpID=c(5,10),header=TRUE,sep=",",functionName="V8,G5,10", title="Vignette3 V8,G5,10")

# ---------------------   Vignette5      PMC
#   
#  Normally you would use these lines to read a file for use in CATkit (use filePath format for your OS)
# filePath<-"~/file/path/Installing CAT/Vignette5"          # use for mac
# filePath<-"c:\\file\\path\\Installing CAT\\Vignette5"     # use for PC
# fileName<-file.path(filePath,'cos02x.csv')
#
# this line is used instead of the above since it is part of a package.
# fileName<-system.file("extdata", "cos02x03.csv", package = "CATkit")
# CATparam(fileName=fileName, colNames=cosdat, VarID=8, GrpID=c(5,10),header=TRUE,sep=",",functionName="V8,G5,10", title="PMCtest V8,G5,10")